#!/usr/bin/env python3
from ev3dev2.sound import Sound
from ev3dev2.motor import LargeMotor,OUTPUT_B,OUTPUT_C
from ev3dev2.button import Button
from ev3dev2.sensor.lego import UltrasonicSensor

try:
    sound=Sound()
    mb = LargeMotor(OUTPUT_B)
    mc = LargeMotor(OUTPUT_C)
    btn=Button()
    us = UltrasonicSensor()
    us.mode='US-DIST-CM'

    while not btn.any():
        distance = us.value()/10  # convert mm to cm
        print(str(distance) + " "  )
        if distance<50:
            sound.play_file('Bip.wav',volume=int((50-distance)*2))
        if distance>110:
            distance=110   
        mc.on(distance-10)
        mb.on(distance-10) 
        
    mc.off()
    mb.off()
except Exception as e:
    print(e)
